Databases - Export
데이터베이스를 내보냅니다.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/export?api-version=2025-01-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
데이터베이스의 이름입니다. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다. |
|
server
|
path | True |
string |
서버의 이름입니다. |
|
subscription
|
path | True |
string (uuid) |
대상 구독의 ID입니다. 값은 UUID여야 합니다. |
|
api-version
|
query | True |
string minLength: 1 |
이 작업에 사용할 API 버전입니다. |
요청 본문
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| administratorLogin | True |
string |
관리자 로그인 이름입니다. AuthenticationType이 ManagedIdentity인 경우 이 필드는 관리 ID의 리소스 ID를 지정해야 합니다. |
| storageKey | True |
string |
스토리지 계정의 스토리지 키입니다. StorageKeyType이 ManagedIdentity인 경우 이 필드는 관리 ID의 리소스 ID를 지정해야 합니다. |
| storageKeyType | True |
스토리지 키 유형: StorageAccessKey, SharedAccessKey 또는 ManagedIdentity. |
|
| storageUri | True |
string |
스토리지 URI입니다. |
| administratorLoginPassword |
string (password) |
관리자 로그인 암호입니다. AuthenticationType이 ManagedIdentity인 경우 이 필드를 지정하면 안 됩니다. |
|
| authenticationType |
string |
대상 SQL 서버에 액세스하기 위해 제공되는 자격 증명 유형(SQL, ADPassword 또는 ManagedIdentity)입니다. |
|
| networkIsolation |
요청에 대한 네트워크 격리를 사용하도록 설정하는 선택적 리소스 정보입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
Azure 운영이 성공적으로 완료되었습니다. |
|
| 202 Accepted |
자원 작업이 허용되었습니다. 헤더
|
|
| Other Status Codes |
예기치 않은 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 Flow.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Exports a database, using Managed Identity to communicate with SQL server and storage account.
샘플 요청
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
샘플 응답
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
Exports a database, using private link to communicate with SQL server and storage account.
샘플 요청
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"networkIsolation": {
"sqlServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr",
"storageAccountResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Storage/storageAccounts/test-privatelink"
},
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
샘플 응답
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
Exports a database.
샘플 요청
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
샘플 응답
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
정의
| Name | Description |
|---|---|
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Error |
오류 세부 정보입니다. |
|
Error |
오류 응답 |
|
Export |
데이터베이스 내보내기 작업을 수행하는 데 필요한 정보를 포함합니다. |
|
Import |
ImportExport 작업 결과 리소스입니다. |
|
Network |
프라이빗 엔드포인트 연결을 만들 ARM 리소스를 포함합니다. |
|
Private |
프라이빗 엔드포인트 연결 요청 상태를 포함합니다. |
|
Storage |
스토리지 키 유형: StorageAccessKey, SharedAccessKey 또는 ManagedIdentity. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
ErrorDetail
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorResponse
오류 응답
| Name | 형식 | Description |
|---|---|---|
| error |
오류 개체입니다. |
ExportDatabaseDefinition
데이터베이스 내보내기 작업을 수행하는 데 필요한 정보를 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| administratorLogin |
string |
관리자 로그인 이름입니다. AuthenticationType이 ManagedIdentity인 경우 이 필드는 관리 ID의 리소스 ID를 지정해야 합니다. |
| administratorLoginPassword |
string (password) |
관리자 로그인 암호입니다. AuthenticationType이 ManagedIdentity인 경우 이 필드를 지정하면 안 됩니다. |
| authenticationType |
string |
대상 SQL 서버에 액세스하기 위해 제공되는 자격 증명 유형(SQL, ADPassword 또는 ManagedIdentity)입니다. |
| networkIsolation |
요청에 대한 네트워크 격리를 사용하도록 설정하는 선택적 리소스 정보입니다. |
|
| storageKey |
string |
스토리지 계정의 스토리지 키입니다. StorageKeyType이 ManagedIdentity인 경우 이 필드는 관리 ID의 리소스 ID를 지정해야 합니다. |
| storageKeyType |
스토리지 키 유형: StorageAccessKey, SharedAccessKey 또는 ManagedIdentity. |
|
| storageUri |
string |
스토리지 URI입니다. |
ImportExportOperationResult
ImportExport 작업 결과 리소스입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string (arm-id) |
리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
리소스의 이름 |
| properties.blobUri |
string |
Blob Uri입니다. |
| properties.databaseName |
string |
데이터베이스 이름 |
| properties.errorMessage |
string |
오류 메시지입니다. |
| properties.lastModifiedTime |
string |
마지막으로 수정한 시간입니다. |
| properties.privateEndpointConnections |
이 요청과 연결된 프라이빗 엔드포인트의 상태를 가져옵니다. |
|
| properties.queuedTime |
string |
대기 시간. |
| properties.requestId |
string (uuid) |
요청 ID입니다. |
| properties.requestType |
string |
요청 유형입니다. |
| properties.serverName |
string |
서버 이름입니다. |
| properties.status |
string |
작업 상태입니다. |
| systemData |
Azure Resource Manager 메타데이터에 createdBy 및 modifiedBy 정보가 포함되어 있습니다. |
|
| type |
string |
리소스의 형식입니다. 예를 들어, "Microsoft. 컴퓨트/가상 머신" 또는 "Microsoft." 저장소/저장소 계정" |
NetworkIsolationSettings
프라이빗 엔드포인트 연결을 만들 ARM 리소스를 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| sqlServerResourceId |
string (arm-id) |
이 요청의 대상인 SQL Server의 리소스 ID입니다. 설정되면 SQL Server에 대한 프라이빗 엔드포인트 연결이 만들어집니다. 작업의 대상인 서버와 일치해야 합니다. |
| storageAccountResourceId |
string (arm-id) |
BACPAC 파일을 저장하는 데 사용되는 스토리지 계정의 리소스 ID입니다. 설정되면 스토리지 계정에 대한 프라이빗 엔드포인트 연결이 만들어집니다. StorageUri 매개 변수에 사용되는 스토리지 계정과 일치해야 합니다. |
PrivateEndpointConnectionRequestStatus
프라이빗 엔드포인트 연결 요청 상태를 포함합니다.
| Name | 형식 | Description |
|---|---|---|
| privateEndpointConnectionName |
string |
프라이빗 엔드포인트의 연결 이름입니다. |
| privateLinkServiceId |
string |
프라이빗 엔드포인트가 만들어지는 리소스 ID입니다. |
| status |
string |
이 프라이빗 엔드포인트 연결의 상태입니다. |
StorageKeyType
스토리지 키 유형: StorageAccessKey, SharedAccessKey 또는 ManagedIdentity.
| 값 | Description |
|---|---|
| SharedAccessKey |
공유 접근 키 |
| StorageAccessKey |
StorageAccessKey |
| ManagedIdentity |
managedIdentity |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |